Package org.eclipse.jdt.core.util

## Interface ILocalVariableAttribute

All Superinterfaces:
  `IClassFileAttribute`

    public interface ILocalVariableAttribute
    extends IClassFileAttribute

Description of a local variable attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`ILocalVariableTableEntry[]` `getLocalVariableTable()` Answer back the local variable table of this entry as specified in the JVM specifications.
`int` `getLocalVariableTableLength()` Answer back the local variable table length of this entry as specified in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getLocalVariableTableLength

    int getLocalVariableTableLength()

Answer back the local variable table length of this entry as specified in the JVM specifications.

Returns:
  the local variable table length of this entry as specified in the JVM specifications

#### getLocalVariableTable

    ILocalVariableTableEntry[] getLocalVariableTable()

Answer back the local variable table of this entry as specified in the JVM specifications. Answer an empty array if none.

Returns:
  the local variable table of this entry as specified in the JVM specifications. Answer an empty array if none